function backDay(backDay) {
    var backDay = backDay || 0;
    var mydate = new Date();
    mydate.setDate(mydate.getDate() - backDay);
    var year = mydate.getYear();
    if (year < 1000)
        year += 1900;
    var day = mydate.getDay();
    var month = mydate.getMonth();
    var daym = mydate.getDate();
    if (daym < 10)
        daym = "0" + daym;
    var dayarray = new Array("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag");
    var montharray = new
            Array("Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember");
    return  document.write("" + dayarray[day] + ", " + montharray[month] + " " + daym + ", " + year + "");
}